Crystal Space: iFireTexture Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFireTexture Struct Reference
[3D]

Interface to the 'fire' procedural texture. More...

`#include <itexture/ifire.h>`

Inheritance diagram for iFireTexture:

[legend]
List of all members.

## Public Member Functions
virtual int | GetAdditionalBurn ()=0
| Get additional burn.
virtual int | GetContinuedBurn ()=0
| Get continued burn.
virtual int | GetExtinguish ()=0
| Get burning down param.
virtual int | GetHalfBase ()=0
| Get 1/2 size of flame base.
virtual int | GetPossibleBurn ()=0
| Get possible burn.
virtual int | GetPostSmoothing ()=0
| Get post smoothing value.
virtual bool | GetSingleFlameMode ()=0
| Get single flame mode.
virtual int | GetSmoothing ()=0
| Get smoothing factor.
virtual void | SetAdditionalBurn (int addburn)=0
| Set animation parameter: additional burn (0.
virtual void | SetContinuedBurn (int contburn)=0
| Set animation parameter: continued burn (0.
virtual void | SetExtinguish (int extinguish)=0
| Set animation parameter: burning down param Try 3*256/height.
virtual void | SetHalfBase (int halfbase)=0
| Set animation parameter: 1/2 size of flame base, from middle bottom sideways.
virtual void | SetPalette (iGradient *gradient)=0
| Set the colors used by the flame.
virtual void | SetPossibleBurn (int possburn)=0
| Set animation parameter: possible burn (0.
virtual void | SetPostSmoothing (int amount)=0
| Set whether to smooth the whole image again after calculating an iteration.
virtual void | SetSingleFlameMode (bool enable)=0
| Set single flame mode.
virtual void | SetSmoothing (int smoothing)=0
| Set animation parameter: smoothing factor (0.

## Detailed Description

Interface to the 'fire' procedural texture.

Todo:
  'GetPalette()' maybe.

Definition at line 39 of file ifire.h.

## Member Function Documentation

virtual int iFireTexture::GetAdditionalBurn | ( |  | ) | `[pure virtual]`

Get additional burn.

virtual int iFireTexture::GetContinuedBurn | ( |  | ) | `[pure virtual]`

Get continued burn.

virtual int iFireTexture::GetExtinguish | ( |  | ) | `[pure virtual]`

Get burning down param.

virtual int iFireTexture::GetHalfBase | ( |  | ) | `[pure virtual]`

Get 1/2 size of flame base.

virtual int iFireTexture::GetPossibleBurn | ( |  | ) | `[pure virtual]`

Get possible burn.

virtual int iFireTexture::GetPostSmoothing | ( |  | ) | `[pure virtual]`

Get post smoothing value.

virtual bool iFireTexture::GetSingleFlameMode | ( |  | ) | `[pure virtual]`

Get single flame mode.

virtual int iFireTexture::GetSmoothing | ( |  | ) | `[pure virtual]`

Get smoothing factor.

virtual void iFireTexture::SetAdditionalBurn | ( | int | addburn | ) | `[pure virtual]`

Set animation parameter: additional burn (0.

.) Try addburn=1..5 or so

virtual void iFireTexture::SetContinuedBurn | ( | int | contburn | ) | `[pure virtual]`

Set animation parameter: continued burn (0.

.) Try 80.

virtual void iFireTexture::SetExtinguish | ( | int | extinguish | ) | `[pure virtual]`

Set animation parameter: burning down param Try 3*256/height.

virtual void iFireTexture::SetHalfBase | ( | int | halfbase | ) | `[pure virtual]`

Set animation parameter: 1/2 size of flame base, from middle bottom sideways.

virtual void iFireTexture::SetPalette | ( | iGradient * | gradient | ) | `[pure virtual]`

Set the colors used by the flame.

Position 0 = darkest areas (background, actually), position 1 = brightest areas.

virtual void iFireTexture::SetPossibleBurn | ( | int | possburn | ) | `[pure virtual]`

Set animation parameter: possible burn (0.

.) Try possburn 3=wood,90=oil,255=max.

virtual void iFireTexture::SetPostSmoothing | ( | int | amount | ) | `[pure virtual]`

Set whether to smooth the whole image again after calculating an iteration.

Parameters:

  | amount | Size of the square used for averaging. 0 = disable smoothing.

virtual void iFireTexture::SetSingleFlameMode | ( | bool | enable | ) | `[pure virtual]`

Set single flame mode.

virtual void iFireTexture::SetSmoothing | ( | int | smoothing | ) | `[pure virtual]`

Set animation parameter: smoothing factor (0.

.) Try 2.

The documentation for this struct was generated from the following file:

- itexture/ifire.h